Subject: Re: WARNING: at mm/slub.c:3357, kernel BUG at mm/slub.c:3413

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 23 Nov 2011 12:43:53 +1100

> > I just want to see whether your network + heavy IO load problem goes
> > away with that one patch.
> 
> Sorry, I should have been clearer in that mail: the high "load" value 
> isn't a problem - the intermittent panics are. What I meant to say was: 
> the panics usually occur when lots of disk & cpu IO is in progress (rsync 
> to an external but local disk over firewire). While doing this the load is 
> usally at 3-5, but that's "normal" and expected for a machine of that age. 

No, I understand your problem. What I meant above is to see whether you
reproduce the crash caused by network + heavy IO :-)

> But then the machine crashes with recent kernels. After setting the 
> cpu_partial files to 0 I tried to reproduce the same I/O pattern, *plus* a 
> bit more, to really stress the machine, so load went up to 6-7 and the 
> machine did not crash. So the load of 6-7 was expected and I'm glad that 
> the machine did not crash with that workaround. I don't know of the 
> implications of setting cpu_partial to 0 though.

Right. Now we want to check if that patch from Christoph fixes cpu
partial.

> As soon as the build with Christoph's one-liner is done I'll test w/o 
> setting cpu_partial to 0 and see what it gives.

Thanks !

Cheers,
Ben.

--
To unsubscribe, send a message with 'unsubscribe linux-mm' in
the body to [email-masked].  For more info on Linux MM,
see: http://www.linux-mm.org/ .
Fight unfair telecom internet charges in Canada: sign http://stopthemeter.ca/
Don't email: <a href=mailto:"[email-masked]"> [email-masked] </a>